Index: src/sas/qtgui/Utilities/UnitTesting/GuiUtilsTest.py
===================================================================
--- src/sas/qtgui/Utilities/UnitTesting/GuiUtilsTest.py	(revision 7fb471d81b5d11daed3df86a4e8427e6a832cf7a)
+++ src/sas/qtgui/Utilities/UnitTesting/GuiUtilsTest.py	(revision 53c771ed573b1c8716ecc969b54a1d617a4cb931)
@@ -3,6 +3,6 @@
 import webbrowser
 
-from PyQt4 import QtCore
-from PyQt4 import QtGui
+from PyQt5 import QtCore
+from PyQt5 import QtGui, QtWidgets
 from unittest.mock import MagicMock
 
@@ -19,6 +19,6 @@
 from sas.qtgui.Utilities.GuiUtils import *
 
-if not QtGui.QApplication.instance():
-    app = QtGui.QApplication(sys.argv)
+if not QtWidgets.QApplication.instance():
+    app = QtWidgets.QApplication(sys.argv)
 
 class GuiUtilsTest(unittest.TestCase):
@@ -90,9 +90,9 @@
         # Make sure test_item got all data added
         self.assertEqual(test_item.child(0).text(), name)
-        list_from_item = test_item.child(0).data().toList()
+        list_from_item = test_item.child(0).data()
         self.assertIsInstance(list_from_item, list)
-        self.assertEqual(list_from_item[0].toPyObject(), test_list[0])
-        self.assertEqual(list_from_item[1].toPyObject(), test_list[1])
-        self.assertEqual(list_from_item[2].toPyObject(), test_list[2])
+        self.assertEqual(list_from_item[0], test_list[0])
+        self.assertEqual(list_from_item[1], test_list[1])
+        self.assertEqual(list_from_item[2], test_list[2])
 
     def testupdateModelItemWithPlot(self):
@@ -111,5 +111,5 @@
         self.assertEqual(test_item.child(0).text(), name)
         self.assertTrue(test_item.child(0).isCheckable())
-        list_from_item = test_item.child(0).child(0).data().toPyObject()
+        list_from_item = test_item.child(0).child(0).data()
         self.assertIsInstance(list_from_item, list)
         self.assertEqual(str(list_from_item[0]), test_list[0])
@@ -305,5 +305,5 @@
         # Test the .txt format
         file_name = "test123_out.txt"
-        QtGui.QFileDialog.getSaveFileName = MagicMock(return_value=file_name)
+        QtWidgets.QFileDialog.getSaveFileName = MagicMock(return_value=(file_name,''))
         data.filename = "test123.txt"
         saveData1D(data)
@@ -313,5 +313,5 @@
         # Test the .xml format
         file_name = "test123_out.xml"
-        QtGui.QFileDialog.getSaveFileName = MagicMock(return_value=file_name)
+        QtWidgets.QFileDialog.getSaveFileName = MagicMock(return_value=(file_name,''))
         data.filename = "test123.xml"
         saveData1D(data)
@@ -321,5 +321,5 @@
         # Test the wrong format
         file_name = "test123_out.mp3"
-        QtGui.QFileDialog.getSaveFileName = MagicMock(return_value=file_name)
+        QtWidgets.QFileDialog.getSaveFileName = MagicMock(return_value=(file_name,''))
         data.filename = "test123.mp3"
         saveData1D(data)
@@ -337,5 +337,5 @@
         # Test the .txt format
         file_name = "test123_out.dat"
-        QtGui.QFileDialog.getSaveFileName = MagicMock(return_value=file_name)
+        QtWidgets.QFileDialog.getSaveFileName = MagicMock(return_value=(file_name,''))
         data.filename = "test123.dat"
         saveData2D(data)
@@ -345,5 +345,5 @@
         # Test the wrong format
         file_name = "test123_out.mp3"
-        QtGui.QFileDialog.getSaveFileName = MagicMock(return_value=file_name)
+        QtWidgets.QFileDialog.getSaveFileName = MagicMock(return_value=(file_name,''))
         data.filename = "test123.mp3"
         saveData2D(data)
Index: src/sas/qtgui/Utilities/UnitTesting/SasviewLoggerTest.py
===================================================================
--- src/sas/qtgui/Utilities/UnitTesting/SasviewLoggerTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
+++ src/sas/qtgui/Utilities/UnitTesting/SasviewLoggerTest.py	(revision 53c771ed573b1c8716ecc969b54a1d617a4cb931)
@@ -3,6 +3,7 @@
 import logging
 
-from PyQt4.QtGui import *
-from PyQt4.QtCore import *
+from PyQt5.QtGui import *
+from PyQt5.QtCore import *
+from PyQt5.QtWidgets import *
 
 # set up import paths
